:root {
  --color-scheme-1-background: hsl(0, 0%, 100%);
  --color-scheme-1-background-hover: hsl(0, 0%, 100%);
  --color-scheme-1-text: hsl(0, 0%, 7.06%);
  --color-scheme-1-text-hover: hsl(0, 0%, 12.059999999999999%);
  --color-scheme-1-text-secondary: hsl(0, 0.95%, 41.18%);
  --color-scheme-1-text-secondary-hover: hsl(0, 0.95%, 46.18%);
  --color-scheme-1-button: hsl(0, 0%, 7.06%);
  --color-scheme-1-button-hover: hsl(0, 0%, 12.059999999999999%);
  --color-scheme-1-button-border: hsl(0, 0%, 7.06%);
  --color-scheme-1-button-border-hover: hsl(0, 0%, 12.059999999999999%);
  --color-scheme-1-button-label: hsl(0, 0%, 100%);
  --color-scheme-1-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-1-secondary-button-label: hsl(0, 0%, 7.06%);
  --color-scheme-1-secondary-button-label-hover: hsl(0, 0%, 12.059999999999999%);
  --color-scheme-1-secondary-button-border: hsl(0, 0%, 7.06%);
  --color-scheme-1-secondary-button-border-hover: hsl(0, 0%, 12.059999999999999%);
  --color-scheme-1-primary-button-hover: hsl(0, 0%, 30.98%);
  --color-scheme-1-primary-button-hover-hover: hsl(0, 0%, 35.980000000000004%);
  --color-scheme-1-primary-button-label-hover: hsl(0, 0%, 89.8%);
  --color-scheme-1-primary-button-label-hover-hover: hsl(0, 0%, 94.8%);
  --color-scheme-1-secondary-button-border-hover: hsl(0, 0%, 30.98%);
  --color-scheme-1-secondary-button-border-hover-hover: hsl(0, 0%, 35.980000000000004%);
  --color-scheme-1-secondary-button-label-hover: hsl(0, 0%, 30.98%);
  --color-scheme-1-secondary-button-label-hover-hover: hsl(0, 0%, 35.980000000000004%);
  --color-scheme-1-borders-and-inputs: hsl(0, 0%, 76.47%);
  --color-scheme-1-borders-and-inputs-hover: hsl(0, 0%, 81.47%);
  --color-scheme-1-brand-highlight: hsl(0, 0%, 78.43%);
  --color-scheme-1-brand-highlight-hover: hsl(0, 0%, 83.43%);
  --color-scheme-2-background: hsl(46, 100%, 52.35%);
  --color-scheme-2-background-hover: hsl(46, 100%, 57.35%);
  --color-scheme-2-text: hsl(0, 0%, 21.18%);
  --color-scheme-2-text-hover: hsl(0, 0%, 26.18%);
  --color-scheme-2-text-secondary: hsl(0, 0%, 41.57%);
  --color-scheme-2-text-secondary-hover: hsl(0, 0%, 46.57%);
  --color-scheme-2-button: hsl(0, 0%, 41.57%);
  --color-scheme-2-button-hover: hsl(0, 0%, 46.57%);
  --color-scheme-2-button-border: hsl(0, 0%, 25.88%);
  --color-scheme-2-button-border-hover: hsl(0, 0%, 30.88%);
  --color-scheme-2-button-label: hsl(0, 0%, 100%);
  --color-scheme-2-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-2-secondary-button-label: hsl(0, 0%, 41.57%);
  --color-scheme-2-secondary-button-label-hover: hsl(0, 0%, 46.57%);
  --color-scheme-2-secondary-button-border: hsl(0, 0%, 41.57%);
  --color-scheme-2-secondary-button-border-hover: hsl(0, 0%, 46.57%);
  --color-scheme-2-primary-button-hover: hsl(0, 0%, 21.18%);
  --color-scheme-2-primary-button-hover-hover: hsl(0, 0%, 26.18%);
  --color-scheme-2-primary-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-2-primary-button-label-hover-hover: hsl(0, 0%, 100%);
  --color-scheme-2-secondary-button-border-hover: hsl(0, 0%, 21.18%);
  --color-scheme-2-secondary-button-border-hover-hover: hsl(0, 0%, 26.18%);
  --color-scheme-2-secondary-button-label-hover: hsl(0, 0%, 21.18%);
  --color-scheme-2-secondary-button-label-hover-hover: hsl(0, 0%, 26.18%);
  --color-scheme-2-borders-and-inputs: hsl(0, 0%, 41.57%);
  --color-scheme-2-borders-and-inputs-hover: hsl(0, 0%, 46.57%);
  --color-scheme-2-brand-highlight: hsl(225, 100%, 59.41%);
  --color-scheme-2-brand-highlight-hover: hsl(225, 100%, 64.41%);
  --color-scheme-3-background: hsl(0, 0%, 89.8%);
  --color-scheme-3-background-hover: hsl(0, 0%, 94.8%);
  --color-scheme-3-text: hsl(0, 0%, 25.1%);
  --color-scheme-3-text-hover: hsl(0, 0%, 30.1%);
  --color-scheme-3-text-secondary: hsl(0, 0.47%, 58.63%);
  --color-scheme-3-text-secondary-hover: hsl(0, 0.47%, 63.63%);
  --color-scheme-3-button: hsl(0, 0%, 100%);
  --color-scheme-3-button-hover: hsl(0, 0%, 100%);
  --color-scheme-3-button-border: hsl(0, 0%, 96.08%);
  --color-scheme-3-button-border-hover: hsl(0, 0%, 100%);
  --color-scheme-3-button-label: hsl(0, 0%, 25.1%);
  --color-scheme-3-button-label-hover: hsl(0, 0%, 30.1%);
  --color-scheme-3-secondary-button-label: hsl(0, 0%, 25.1%);
  --color-scheme-3-secondary-button-label-hover: hsl(0, 0%, 30.1%);
  --color-scheme-3-secondary-button-border: hsl(0, 0%, 100%);
  --color-scheme-3-secondary-button-border-hover: hsl(0, 0%, 100%);
  --color-scheme-3-primary-button-hover: hsl(0, 0%, 96.86%);
  --color-scheme-3-primary-button-hover-hover: hsl(0, 0%, 100%);
  --color-scheme-3-primary-button-label-hover: hsl(0, 0%, 7.06%);
  --color-scheme-3-primary-button-label-hover-hover: hsl(0, 0%, 12.059999999999999%);
  --color-scheme-3-secondary-button-border-hover: hsl(0, 0%, 7.06%);
  --color-scheme-3-secondary-button-border-hover-hover: hsl(0, 0%, 12.059999999999999%);
  --color-scheme-3-secondary-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-3-secondary-button-label-hover-hover: hsl(0, 0%, 100%);
  --color-scheme-3-borders-and-inputs: hsl(0, 0%, 13.33%);
  --color-scheme-3-borders-and-inputs-hover: hsl(0, 0%, 18.33%);
  --color-scheme-3-brand-highlight: hsl(0, 0%, 41.96%);
  --color-scheme-3-brand-highlight-hover: hsl(0, 0%, 46.96%);
  --color-scheme-4-background: hsl(0, 0%, 27.06%);
  --color-scheme-4-background-hover: hsl(0, 0%, 32.06%);
  --color-scheme-4-text: hsl(0, 0%, 100%);
  --color-scheme-4-text-hover: hsl(0, 0%, 100%);
  --color-scheme-4-text-secondary: hsl(0, 0%, 45.88%);
  --color-scheme-4-text-secondary-hover: hsl(0, 0%, 50.88%);
  --color-scheme-4-button: hsl(0, 0%, 1.57%);
  --color-scheme-4-button-hover: hsl(0, 0%, 6.57%);
  --color-scheme-4-button-border: hsl(0, 0%, 1.57%);
  --color-scheme-4-button-border-hover: hsl(0, 0%, 6.57%);
  --color-scheme-4-button-label: hsl(0, 0%, 100%);
  --color-scheme-4-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-4-secondary-button-label: hsl(0, 0%, 100%);
  --color-scheme-4-secondary-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-4-secondary-button-border: hsl(0, 0%, 100%);
  --color-scheme-4-secondary-button-border-hover: hsl(0, 0%, 100%);
  --color-scheme-4-primary-button-hover: hsl(0, 0%, 33.73%);
  --color-scheme-4-primary-button-hover-hover: hsl(0, 0%, 38.73%);
  --color-scheme-4-primary-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-4-primary-button-label-hover-hover: hsl(0, 0%, 100%);
  --color-scheme-4-secondary-button-border-hover: hsl(0, 0%, 33.73%);
  --color-scheme-4-secondary-button-border-hover-hover: hsl(0, 0%, 38.73%);
  --color-scheme-4-secondary-button-label-hover: hsl(0, 0%, 33.73%);
  --color-scheme-4-secondary-button-label-hover-hover: hsl(0, 0%, 38.73%);
  --color-scheme-4-borders-and-inputs: hsl(0, 0%, 13.33%);
  --color-scheme-4-borders-and-inputs-hover: hsl(0, 0%, 18.33%);
  --color-scheme-4-brand-highlight: hsl(0, 0%, 21.18%);
  --color-scheme-4-brand-highlight-hover: hsl(0, 0%, 26.18%);
  --color-scheme-5-background: hsl(0, 0%, 89.41%);
  --color-scheme-5-background-hover: hsl(0, 0%, 94.41%);
  --color-scheme-5-text: hsl(0, 0%, 21.18%);
  --color-scheme-5-text-hover: hsl(0, 0%, 26.18%);
  --color-scheme-5-text-secondary: hsl(0, 0%, 45.88%);
  --color-scheme-5-text-secondary-hover: hsl(0, 0%, 50.88%);
  --color-scheme-5-button: hsl(0, 0%, 13.33%);
  --color-scheme-5-button-hover: hsl(0, 0%, 18.33%);
  --color-scheme-5-button-border: hsl(0, 0%, 13.33%);
  --color-scheme-5-button-border-hover: hsl(0, 0%, 18.33%);
  --color-scheme-5-button-label: hsl(0, 0%, 100%);
  --color-scheme-5-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-5-secondary-button-label: hsl(0, 0%, 13.33%);
  --color-scheme-5-secondary-button-label-hover: hsl(0, 0%, 18.33%);
  --color-scheme-5-secondary-button-border: hsl(0, 0%, 13.33%);
  --color-scheme-5-secondary-button-border-hover: hsl(0, 0%, 18.33%);
  --color-scheme-5-primary-button-hover: hsl(15, 37.35%, 32.55%);
  --color-scheme-5-primary-button-hover-hover: hsl(15, 37.35%, 37.55%);
  --color-scheme-5-primary-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-5-primary-button-label-hover-hover: hsl(0, 0%, 100%);
  --color-scheme-5-secondary-button-border-hover: hsl(15, 37.35%, 32.55%);
  --color-scheme-5-secondary-button-border-hover-hover: hsl(15, 37.35%, 37.55%);
  --color-scheme-5-secondary-button-label-hover: hsl(15, 37.35%, 32.55%);
  --color-scheme-5-secondary-button-label-hover-hover: hsl(15, 37.35%, 37.55%);
  --color-scheme-5-borders-and-inputs: hsl(0, 0%, 13.33%);
  --color-scheme-5-borders-and-inputs-hover: hsl(0, 0%, 18.33%);
  --color-scheme-5-brand-highlight: hsl(0, 0%, 21.18%);
  --color-scheme-5-brand-highlight-hover: hsl(0, 0%, 26.18%);
  --color-scheme-product-variants-background: hsl(0, 0%, 100%);
  --color-scheme-product-variants-background-hover: hsl(0, 0%, 100%);
  --color-scheme-product-variants-text: hsl(0, 0%, 13.33%);
  --color-scheme-product-variants-text-hover: hsl(0, 0%, 18.33%);
  --color-scheme-product-variants-text-secondary: hsl(0, 0%, 38.04%);
  --color-scheme-product-variants-text-secondary-hover: hsl(0, 0%, 43.04%);
  --color-scheme-product-variants-button: hsl(0, 0%, 100%);
  --color-scheme-product-variants-button-hover: hsl(0, 0%, 100%);
  --color-scheme-product-variants-button-border: hsl(0, 0%, 13.33%);
  --color-scheme-product-variants-button-border-hover: hsl(0, 0%, 18.33%);
  --color-scheme-product-variants-button-label: hsl(0, 0%, 13.33%);
  --color-scheme-product-variants-button-label-hover: hsl(0, 0%, 18.33%);
  --color-scheme-product-variants-secondary-button-label: hsl(0, 0%, 13.33%);
  --color-scheme-product-variants-secondary-button-label-hover: hsl(0, 0%, 18.33%);
  --color-scheme-product-variants-secondary-button-border: hsl(0, 0%, 87.84%);
  --color-scheme-product-variants-secondary-button-border-hover: hsl(0, 0%, 92.84%);
  --color-scheme-product-variants-primary-button-hover: hsl(0, 0%, 96.08%);
  --color-scheme-product-variants-primary-button-hover-hover: hsl(0, 0%, 100%);
  --color-scheme-product-variants-primary-button-label-hover: hsl(0, 0%, 13.33%);
  --color-scheme-product-variants-primary-button-label-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-product-variants-secondary-button-border-hover: hsl(0, 0%, 13.33%);
  --color-scheme-product-variants-secondary-button-border-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-product-variants-secondary-button-label-hover: hsl(0, 0%, 13.33%);
  --color-scheme-product-variants-secondary-button-label-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-product-variants-borders-and-inputs: hsl(0, 0%, 25.88%);
  --color-scheme-product-variants-borders-and-inputs-hover: hsl(0, 0%, 30.88%);
  --color-scheme-product-variants-brand-highlight: hsl(0, 0%, 21.18%);
  --color-scheme-product-variants-brand-highlight-hover: hsl(0, 0%, 26.18%);
  --color-scheme-6-background: hsl(0, 0%, 100%);
  --color-scheme-6-background-hover: hsl(0, 0%, 100%);
  --color-scheme-6-text: hsl(0, 0%, 13.33%);
  --color-scheme-6-text-hover: hsl(0, 0%, 18.33%);
  --color-scheme-6-text-secondary: hsl(0, 0%, 45.88%);
  --color-scheme-6-text-secondary-hover: hsl(0, 0%, 50.88%);
  --color-scheme-6-button: hsl(0, 0%, 100%);
  --color-scheme-6-button-hover: hsl(0, 0%, 100%);
  --color-scheme-6-button-border: hsl(0, 0%, 41.57%);
  --color-scheme-6-button-border-hover: hsl(0, 0%, 46.57%);
  --color-scheme-6-button-label: hsl(0, 0%, 13.33%);
  --color-scheme-6-button-label-hover: hsl(0, 0%, 18.33%);
  --color-scheme-6-secondary-button-label: hsl(0, 0%, 13.33%);
  --color-scheme-6-secondary-button-label-hover: hsl(0, 0%, 18.33%);
  --color-scheme-6-secondary-button-border: hsl(0, 0%, 13.33%);
  --color-scheme-6-secondary-button-border-hover: hsl(0, 0%, 18.33%);
  --color-scheme-6-primary-button-hover: hsl(46, 100%, 52.35%);
  --color-scheme-6-primary-button-hover-hover: hsl(46, 100%, 57.35%);
  --color-scheme-6-primary-button-label-hover: hsl(0, 0%, 13.33%);
  --color-scheme-6-primary-button-label-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-6-secondary-button-border-hover: hsl(0, 0%, 13.33%);
  --color-scheme-6-secondary-button-border-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-6-secondary-button-label-hover: hsl(0, 0%, 13.33%);
  --color-scheme-6-secondary-button-label-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-6-borders-and-inputs: hsl(0, 0%, 13.33%);
  --color-scheme-6-borders-and-inputs-hover: hsl(0, 0%, 18.33%);
  --color-scheme-6-brand-highlight: hsl(0, 0%, 13.33%);
  --color-scheme-6-brand-highlight-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-background: hsl(0, 0%, 100%);
  --color-scheme-7-background-hover: hsl(0, 0%, 100%);
  --color-scheme-7-text: hsl(0, 0%, 13.33%);
  --color-scheme-7-text-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-text-secondary: hsl(0, 0%, 45.88%);
  --color-scheme-7-text-secondary-hover: hsl(0, 0%, 50.88%);
  --color-scheme-7-button: hsl(0, 0%, 7.06%);
  --color-scheme-7-button-hover: hsl(0, 0%, 12.059999999999999%);
  --color-scheme-7-button-border: hsl(0, 0%, 13.33%);
  --color-scheme-7-button-border-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-button-label: hsl(0, 0%, 100%);
  --color-scheme-7-button-label-hover: hsl(0, 0%, 100%);
  --color-scheme-7-secondary-button-label: hsl(0, 0%, 13.33%);
  --color-scheme-7-secondary-button-label-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-secondary-button-border: hsl(0, 0%, 13.33%);
  --color-scheme-7-secondary-button-border-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-primary-button-hover: hsl(0, 0%, 13.33%);
  --color-scheme-7-primary-button-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-primary-button-label-hover: hsl(0, 0%, 13.33%);
  --color-scheme-7-primary-button-label-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-secondary-button-border-hover: hsl(0, 0%, 13.33%);
  --color-scheme-7-secondary-button-border-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-secondary-button-label-hover: hsl(0, 0%, 13.33%);
  --color-scheme-7-secondary-button-label-hover-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-borders-and-inputs: hsl(0, 0%, 13.33%);
  --color-scheme-7-borders-and-inputs-hover: hsl(0, 0%, 18.33%);
  --color-scheme-7-brand-highlight: hsl(0, 0%, 13.33%);
  --color-scheme-7-brand-highlight-hover: hsl(0, 0%, 18.33%);
}

body { background-color: var(--color-scheme-1-background); color: var(--color-scheme-1-text); }
.bg-scheme-1 { background-color: var(--color-scheme-1-background); }
.text-scheme-1 { color: var(--color-scheme-1-text); }
.bg-scheme-2 { background-color: var(--color-scheme-2-background); }
.text-scheme-2 { color: var(--color-scheme-2-text); }
.bg-scheme-3 { background-color: var(--color-scheme-3-background); }
.text-scheme-3 { color: var(--color-scheme-3-text); }
.bg-scheme-4 { background-color: var(--color-scheme-4-background); }
.text-scheme-4 { color: var(--color-scheme-4-text); }
.bg-scheme-5 { background-color: var(--color-scheme-5-background); }
.text-scheme-5 { color: var(--color-scheme-5-text); }
.bg-scheme-product-variants { background-color: var(--color-scheme-product-variants-background); }
.text-scheme-product-variants { color: var(--color-scheme-product-variants-text); }
.bg-scheme-6 { background-color: var(--color-scheme-6-background); }
.text-scheme-6 { color: var(--color-scheme-6-text); }
.bg-scheme-7 { background-color: var(--color-scheme-7-background); }
.text-scheme-7 { color: var(--color-scheme-7-text); }
